Subject: Re: [PATCH] usbnet: fix memory leak in usbnet_disconnect()

From: Nicolas de Pesloüan<[email-masked]>
Date: Mon, 28 Mar 2011 22:01:06 +0200

Le 28/03/2011 03:11, David Miller a écrit :
> From: DMITRIY GRUZMAN<[email-masked]>
> Date: Mon, 21 Mar 2011 16:49:50 -0500
>
>> usb_probe() allocates memory for transfer buffer and urb and this
>> memory was not properly released in usbnet_disconnect().   The issue
>> was found and the fix was recommended by Fu-Lei Tian and Jun-Xiao
>> Chang.
>>
>> Signed-off-by: Dmitriy Gruzman<[email-masked]>
>
> Your email client corrupted your patch, among other things:
>
>> @@ -210,6 +210,7 @@ static int init_status (struct usbnet *dev, struct
>> usb_interface *intf)
>
> it chopped up long lines.
>
> Please fix this up, test your setup by emailing the patch to yourself
> and trying to apply what you receive, then try submitting it here
> freshly again.
>
> Thanks.

This nice advice should be inserted into Documentation/SubmittingPatch.

	Nicolas.